Package org.drinkless.tdlib

# Class TdApi.ReportChat

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.ReportChatResult>
org.drinkless.tdlib.TdApi.ReportChat

Enclosing class:
  `TdApi`

public static class TdApi.ReportChat extends TdApi.Function<TdApi.ReportChatResult>
Reports a chat to the Telegram moderators. A chat can be reported only from the chat action bar, or if chat.canBeReported.

Returns `ReportChatResult`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `chatId`
  Chat identifier.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `long[]`
  `messageIds`
  Identifiers of reported messages.
  `byte[]`
  `optionId`
  Option identifier chosen by the user; leave empty for the initial request.
  `String`
  `text`
  Additional report details if asked by the server; 0-1024 characters; leave empty for the initial request.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReportChat()`
  Default constructor for a function, which reports a chat to the Telegram moderators.
  `ReportChat(long chatId, byte[] optionId, long[] messageIds, String text)`
  Creates a function, which reports a chat to the Telegram moderators.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### chatId

    public long chatId
    Chat identifier.

  - ### optionId

    public byte[] optionId
    Option identifier chosen by the user; leave empty for the initial request.

  - ### messageIds

    public long[] messageIds
    Identifiers of reported messages. Use messageProperties.canReportChat to check whether the message can be reported.

  - ### text

    public String text
    Additional report details if asked by the server; 0-1024 characters; leave empty for the initial request.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ReportChat

    public ReportChat()
    Default constructor for a function, which reports a chat to the Telegram moderators. A chat can be reported only from the chat action bar, or if chat.canBeReported.

    Returns `ReportChatResult`

  - ### ReportChat

    public ReportChat(long chatId, byte[] optionId, long[] messageIds, String text)
    Creates a function, which reports a chat to the Telegram moderators. A chat can be reported only from the chat action bar, or if chat.canBeReported.

    Returns `ReportChatResult`

    Parameters:
      `chatId` - Chat identifier.
      `optionId` - Option identifier chosen by the user; leave empty for the initial request.
      `messageIds` - Identifiers of reported messages. Use messageProperties.canReportChat to check whether the message can be reported.
      `text` - Additional report details if asked by the server; 0-1024 characters; leave empty for the initial request.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.ReportChatResult>`
    Returns:
      this.CONSTRUCTOR